## com.thingmagic
Class Gen2.ReadData

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.ReadData

Direct Known Subclasses:
  Gen2.SecureReadData

Enclosing class:
  Gen2

    public static class Gen2.ReadData

extends TagOp

Embedded Tag operation : Read Data

Field Summary
`Gen2.Bank` `Bank` Gen2 memory bank to write to
`java.util.EnumSet<Gen2.Bank>` `banks` Gen2 memory banks to read
`int` `Len` Number of words to read
`int` `WordAddress` word address to start writing at

Constructor Summary
`Gen2.ReadData(java.util.EnumSet<Gen2.Bank> banks, int wordAddress, byte length)` Constructor to initialize the parameter of Read Data
`Gen2.ReadData(Gen2.Bank bank, int wordAddress, byte length)` Constructor to initialize the parameter of Read Data

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Bank

    public Gen2.Bank Bank

  Gen2 memory bank to write to

### WordAddress

    public int WordAddress

  word address to start writing at

### Len

    public int Len

  Number of words to read

### banks

    public java.util.EnumSet<Gen2.Bank> banks

  Gen2 memory banks to read

Constructor Detail

### Gen2.ReadData

    public Gen2.ReadData(Gen2.Bank bank,
                         int wordAddress,
                         byte length)

  Constructor to initialize the parameter of Read Data

  Parameters:
    `bank` - Memory Bank to read
    `wordAddress` - read starting address
    `length` - the length of data to read

### Gen2.ReadData

    public Gen2.ReadData(java.util.EnumSet<Gen2.Bank> banks,
                         int wordAddress,
                         byte length)

  Constructor to initialize the parameter of Read Data

  Parameters:
    `bank` - Memory Bank to read
    `wordAddress` - read starting address
    `length` - the length of data to read